<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" indent="yes"/>

<xsl:include href="../lib/date_format.xslt"/>

<xsl:param name="numGenDate"/>
<xsl:param name="time_spacer" select="' - '"/>
<xsl:param name="remove_previous" select="'true'"/>

	<xsl:template match="articles">
		<div>
			<xsl:apply-templates>
				<xsl:sort select="@date" order="descending"/>
			</xsl:apply-templates>
		</div>
	</xsl:template>
	
	<xsl:template match="article">
		<xsl:if test="(@date + 1 &gt; $numGenDate) or ($remove_previous = 'false') or (string-length(@date) = 0)">
			<xsl:element name="infobox">
				<xsl:attribute name="title"><xsl:value-of select="@title"/></xsl:attribute>
				<xsl:if test="string-length(@date) &gt; 0">
			 		<i>
			 			<xsl:call-template name="date_format">
			 				<xsl:with-param name="date_string" select="@date"/>
			 			</xsl:call-template>
			 		</i><br/>
			 	</xsl:if>
				<xsl:if test="string-length(@starttime) &gt; 0">
					Time: <xsl:value-of select="@starttime"/>
					<xsl:if test="string-length(@endtime) &gt; 0">
						<xsl:value-of select="$time_spacer"/>
						<xsl:value-of select="@endtime"/>
						<br/>
					</xsl:if>
				</xsl:if>
				<xsl:apply-templates />
				<xsl:if test="string-length(@moreurl) &gt; 0">
					<br/>
					<xsl:element name="a">
						<xsl:attribute name="href"><xsl:value-of select="@moreurl"/></xsl:attribute>
						Read More...
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>